package w83a.w83aOperacionesInternas.w83aIncidencias;


import w83a.w83aBeans.W83aNuevaIncidenciasBean;
import w83a.w83aUtilidadesComunes.W83aClsTrazas;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInterna;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaConfigBean;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaErrors;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;
/**
 * 
 * @author 
 *
 */
public class W83aDetalleIncidenciasAction extends Q70OperacionInterna{
	/**
	 * preProcessMappingEntrada
	 * @param contexto a
	 * @param configBean a
	 * @param errors a
	 * @throws Exception e
	 */				
	protected void preProcessMappingEntrada(Q70ContextoEJIE contexto, Q70OperacionInternaConfigBean configBean, Q70OperacionInternaErrors errors) throws Exception{				
		W83aClsTrazas.trazaDebug(null,"NUMINC: "+((W83aNuevaIncidenciasBean)contexto.get("w83aNuevaIncidenciasBean")).getIncidenciaNumero());
		super.preProcessMappingEntrada(contexto, configBean, errors);
			
	}
	/**
	 * postProcessMappingSalida
	 * @param contexto a
	 * @param errors a
	 * @throws Exception e
	 */
	protected void postProcessMappingSalida(Q70ContextoEJIE contexto, Q70OperacionInternaErrors errors) throws Exception {

		
		//contexto.set("w83aNuevaIncidenciasFichaBean",contexto.get("w83aNuevaIncidenciasBean"));
		/*
		if("true".equals((String)contexto.get("guardado"))){
			contexto.set("guardado","false");
			contexto.set(W83aClsConstantes.CONSTANTE_MENSAJES_APLICACION_NO_ERROR, "comun.mensaje.bdActualizadaOk");
		}else if("trueError".equals((String)contexto.get("guardado"))){
			contexto.set("guardado","false");
			contexto.set(W83aClsConstantes.CONSTANTE_MENSAJES_APLICACION_NO_ERROR, "comun.mensaje.bdActualizadaOkLibroRegistroError");			
		}*/
		
		super.postProcessMappingSalida(contexto, errors);
	}
	
}
